#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 HTF
version:              0.14.0.6
visibility:           public
id:                   HTF-0.14.0.6-JsJTG1R1ofkEG6AdmLnK8j
key:                  HTF-0.14.0.6-JsJTG1R1ofkEG6AdmLnK8j
license:              LGPL-2.1-only
copyright:            (c) 2005-2015 Stefan Wehr
maintainer:           Stefan Wehr <wehr@factisresearch.com>
author:               Stefan Wehr <wehr@factisresearch.com>
stability:            Beta
homepage:             https://github.com/skogsbaer/HTF/
synopsis:             The Haskell Test Framework
description:
    The Haskell Test Framework (/HTF/ for short) lets you define unit
    tests (<http://hunit.sourceforge.net>), QuickCheck properties
    (<http://www.cs.chalmers.se/~rjmh/QuickCheck/>), and black box
    tests in an easy and convenient way. HTF uses a custom
    preprocessor that collects test definitions automatically.
    Furthermore, the preprocessor allows HTF to report failing
    test cases with exact file name and line number information.
    Additionally, HTF tries to produce highly readable output
    for failing tests: for example, it colors and pretty prints expected and
    actual results and provides a diff between the two values.

    The documentation of the "Test.Framework.Tutorial" module
    provides a tutorial for HTF. There is also a slightly out-dated
    blog article (<http://factisresearch.blogspot.de/2011/10/new-version-of-htf-with-diffs-colors.html>)
    demonstrating HTF'\''s coloring, pretty-printing and diff functionality.

category:             Testing
abi:                  979c80376865c4bdf6e64507c556a851
exposed:              True
exposed-modules:
    Test.Framework Test.Framework.AssertM Test.Framework.BlackBoxTest
    Test.Framework.CmdlineOptions Test.Framework.Colors
    Test.Framework.HUnitWrapper Test.Framework.History
    Test.Framework.JsonOutput Test.Framework.Location
    Test.Framework.Preprocessor Test.Framework.Pretty
    Test.Framework.PrettyHaskell Test.Framework.QuickCheckWrapper
    Test.Framework.TestInterface Test.Framework.TestManager
    Test.Framework.TestReporter Test.Framework.TestTypes
    Test.Framework.ThreadPool Test.Framework.Tutorial
    Test.Framework.XmlOutput

hidden-modules:
    Paths_HTF Test.Framework.Utils Test.Framework.Diff
    Test.Framework.Process

import-dirs:          /usr/lib/ghc-9.0.2/site-local/HTF-0.14.0.6
library-dirs:         /usr/lib/ghc-9.0.2/site-local/HTF-0.14.0.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/HTF-0.14.0.6
hs-libraries:         HSHTF-0.14.0.6-JsJTG1R1ofkEG6AdmLnK8j
depends:
    Diff-0.4.1-2YRcqBJcsBQGXydEnZSXGE
    HUnit-1.6.2.0-C1iPOmv2pdMIa65hP6dNHl
    QuickCheck-2.14.2-D4UI7Aden5GAsW2kdZbcno
    aeson-1.5.6.0-3owcm84fHom1n9YasFrZna array-0.5.4.0 base-4.15.1.0
    base64-bytestring-1.2.1.0-Jkc81e1t2NiARn1TyE1Edv
    bytestring-0.10.12.1 containers-0.6.4.1
    cpphs-1.20.9.1-1jAFiSyqcHj3RbgQIQP02q directory-1.3.6.2
    haskell-src-1.0.3.1-JhSFs5tKyi1CBpq9fqVA54
    lifted-base-0.2.3.12-EGOogjzA6cN8vnneZIAKo7
    monad-control-1.0.3.1-84jOTbsrw8SEyFFHHz1LDD mtl-2.2.2
    old-time-1.1.0.3-B4Ro2AUl5kn1VzPHPQkaoe pretty-1.1.3.6
    process-1.6.13.2 random-1.2.1-7EGiiwGUfK5IqCEnMWzSRN
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix text-1.2.5.0 time-1.9.3
    unix-2.7.2.2 vector-0.12.3.1-9b5AZF6dIkkH27fquwHf8K
    xmlgen-0.6.2.2-7VXJF6oeoIaAmMprcFiysd

haddock-interfaces:   /usr/share/doc/haskell-htf/html/HTF.haddock
haddock-html:         /usr/share/doc/haskell-htf/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

